Page MenuHomePhabricator

Flow: initial edit of header on empty Flow board page gets isAllowed Fatal
Closed, ResolvedPublic

Description

Find a non-existent Flow board e.g. a user talk page on ee-flow. Click the pencil to edit the header, then click [Save header]

You get a pink "An error occurred while contacting the server." errorbox. On ee-flow, the apache error.log contains:

[Sat Jan 04 04:48:56 2014] [error] [client 216.38.130.164] PHP Fatal error:  Call to a member function isAllowed() on a non-object in /srv/mediawiki/extensions/Flow/includes/Block/Header.php on line 83, referer: http://ee-flow.wmflabs.org/w/index.php?title=User_talk:4pq1injbak&action=edit

Just before this, I think upon visiting the page, there's a warning in apache error.log:

[Sat Jan 04 04:58:07 2014] [error] [client 216.38.130.164] PHP Warning:  header() expects parameter 3 to be long, string given in /srv/mediawiki/includes/WebResponse.php on line 38, referer: http://ee-flow.wmflabs.org/w/index.php?title=User_talk:4pq1injbak&action=edit

Note there's a separate bug 58018 about the different error you get trying to preview the header change on a non-existent page.


Version: master
Severity: normal

Details

Reference
bz59637

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:16 AM
bzimport set Reference to bz59637.
bzimport added a subscriber: Unknown Object (MLST).
Spage created this task.Jan 4 2014, 5:21 AM

bingle-admin wrote:

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/685, but people from the community are welcome to contribute here and in Gerrit.

Change 108833 had a related patch set uploaded by Werdna:
Ensure that revision action permissions are initialised even for headers on new boards.

https://gerrit.wikimedia.org/r/108833

Change 108833 merged by jenkins-bot:
Ensure that revision action permissions are initialised even for headers on new boards.

https://gerrit.wikimedia.org/r/108833

Change 108879 had a related patch set uploaded by Werdna:
Create test for bug 59637

https://gerrit.wikimedia.org/r/108879

Change 108879 merged by jenkins-bot:
Create test for bug 59637

https://gerrit.wikimedia.org/r/108879

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:36 AM